# DataExchange
TKXSBase
StepData

# StepData_HeaderTool Class Reference

HeaderTool exploits data from Header to build a Protocol :
it uses the Header Entity FileSchema to do this.
It builds a Protocol from the Global List of Protocols
stored in the Library ReaderLib
.

`#include <StepData_HeaderTool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepData_HeaderTool (const Handle(StepData_StepReaderData)&data)
| Creates a HeaderTool from data read from a File. Computes the list of Schema Names. The Protocol will be computed later (because there are several options) .
Standard_EXPORT | StepData_HeaderTool (const TColStd_SequenceOfAsciiString &names)
| Creates a HeaderTool directly from a list of Schema Names .
Standard_EXPORT Standard_Integer | NbSchemaNames () const
| Returns the count of SchemaNames .
Standard_EXPORT const TCollection_AsciiString & | SchemaName (const Standard_Integer num) const
| Returns a SchemaName, given its rank .
Standard_EXPORT Handle_StepData_Protocol | NamedProtocol (const TCollection_AsciiString &name) const
| Returns the Protocol which corresponds to a Schema Name Returns a Null Handle if this Schema Name is attached to no Protocol recorded in the Global List of ReaderLib .
Standard_EXPORT void | Build (const Handle(StepData_FileProtocol)&protocol)
| Fills a FileProtocol with the list of Protocols attached to the list of Schema Names. It can remain empty ... .
Standard_EXPORT Handle_StepData_Protocol | Protocol ()
| Returns a Protocol computed from the list of Schema Names : - a Null Handle if no SchemaName has been recognized (or list empty) - a single Protocol if only one SchemaName has been recognized - a FileProtocol with its componants if several SchemaNames have been recognized .
Standard_EXPORT Standard_Boolean | IsDone () const
| Returns True if either Build or Protocol has been called If it is False, Ignored and NbIgnored should not be called .
Standard_EXPORT Standard_Integer | NbIgnoreds () const
| Returns the count of ignored SchemaNames (0 if all were OK) .
Standard_EXPORT const TCollection_AsciiString & | Ignored (const Standard_Integer num) const
| Returns an ignored SchemaName, given its rank in the list of Ignored SchemaNames (not in the total list) .
Standard_EXPORT void | Print (Standard_OStream &S) const
| Sends the state of the HeaderTool in a comprehensive way, to an output stream .

## Private Attributes

TColStd_SequenceOfAsciiString | thenames
Standard_Boolean | thedone
TColStd_SequenceOfAsciiString | theignored

## Constructor & Destructor Documentation

Standard_EXPORT StepData_HeaderTool::StepData_HeaderTool | ( | const Handle(StepData_StepReaderData)& | data | ) |

Standard_EXPORT StepData_HeaderTool::StepData_HeaderTool | ( | const TColStd_SequenceOfAsciiString & | names | ) |

## Member Function Documentation

Standard_EXPORT void StepData_HeaderTool::Build | ( | const Handle(StepData_FileProtocol)& | protocol | ) |

Standard_EXPORT const TCollection_AsciiString& StepData_HeaderTool::Ignored | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Boolean StepData_HeaderTool::IsDone | ( |  | ) | const

Standard_EXPORT Handle_StepData_Protocol StepData_HeaderTool::NamedProtocol | ( | const TCollection_AsciiString & | name | ) | const

Standard_EXPORT Standard_Integer StepData_HeaderTool::NbIgnoreds | ( |  | ) | const

Standard_EXPORT Standard_Integer StepData_HeaderTool::NbSchemaNames | ( |  | ) | const

void StepData_HeaderTool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepData_HeaderTool::operator new | ( | size_t | size | ) | `[inline]`

void* StepData_HeaderTool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void StepData_HeaderTool::Print | ( | Standard_OStream & | S | ) | const

Standard_EXPORT Handle_StepData_Protocol StepData_HeaderTool::Protocol | ( |  | ) |

Standard_EXPORT const TCollection_AsciiString& StepData_HeaderTool::SchemaName | ( | const Standard_Integer | num | ) | const

## Field Documentation

Standard_Boolean StepData_HeaderTool::thedone `[private]`

TColStd_SequenceOfAsciiString StepData_HeaderTool::theignored `[private]`

TColStd_SequenceOfAsciiString StepData_HeaderTool::thenames `[private]`

The documentation for this class was generated from the following file:

- StepData_HeaderTool.hxx